%define oname   raindrops

Name:       ruby-%{oname}
Version:    0.10.0
Release:    %mkrel 3
Summary:    Real-time stats for preforking Rack servers
Group:      Development/Ruby
License:    MIT
URL:        http://raindrops.bogomips.org/
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: ruby-devel

%description
Raindrops is a real-time stats toolkit to show statistics for Rack HTTP
servers.  It is designed for preforking servers such as Rainbows! and
Unicorn, but should support any Rack HTTP server under Ruby 1.9, 1.8 and
Rubinius on platforms supporting POSIX shared memory.  It may also be
used as a generic scoreboard for sharing atomic counters across multiple
processes.

%files
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_sitearchdir}/%{oname}_ext.so
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/README
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/ChangeLog
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/LICENSE
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/NEWS
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
%gem_install

rm -fr %{buildroot}%{ruby_gemdir}/gems/%{oname}-%{version}/ext


%changelog

* Fri Feb 08 2013 umeabot <umeabot> 0.10.0-3.mga3
+ Revision: 396347
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 0.10.0-2.mga3
+ Revision: 381332
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 03 2012 fwang <fwang> 0.10.0-1.mga3
+ Revision: 313120
- update file list
- update file list
- imported package ruby-raindrops

